package Game.Entity
{
	import Game.GameScene;

	public class Trail extends GameEntity
	{
		public var x:Number;
		public var y:Number;
		public var width:Number;
		public var rotation:Number;
		public var alpha:Number;
		public var color:uint;
		public var prev:Trail;
		
		public function Trail()
		{
			super();
		}
		
		public function initTrail(game:GameScene, x:Number, y:Number, color:uint):void {
			super.init(game);
			this.x = x;
			this.y = y;
			this.color = color;
			width = 0;
			rotation = 0;
			alpha = 1.0;
		}
		
		public override function update(dt:Number):void {
			this.alpha -= dt;
			if(alpha <= 0) {
				alpha = 0;
				width = 0;
				rotation = 0;
				active = false;
			}
		}
	}
}