package
{
	import flash.net.SharedObject;
	
	import starling.errors.AbstractClassError;

	public class Globals
	{
		public function Globals() { throw new AbstractClassError(); }
		
		public static var main:Main;
		public static var scaleFactor:int = 0;
		public static var level:int = 0;
		public static var levelReached:int = 0;
		
		public static var soundVolume:Number = 1.0;
		public static var musicVolume:Number = 1.0;
		
		public static var levelData:Array = [ //nodes, teams, ai delay
		[5, 2, 4],		//level 01
		[6, 2, 3.5],	//level 02
		[8, 2, 3],		//level 03
		[10, 2, 3],		//level 04
		[9, 3, 4],		//level 05
		[12, 3, 3.5],	//level 06
		[15, 3, 3],		//level 07
		[6, 3, 2.5],	//level 08
		[16, 4, 3],		//level 09
		[18, 4, 2.5],	//level 10
		[12, 4, 2],		//level 11
		[20, 4, 1.5],	//level 12
		];
		
		public static var saveFile:SharedObject;
		public static var playerData:Array;
		
		public static function load():void {
			saveFile = SharedObject.getLocal("com.nicotuason.lightyearwars");
			if(saveFile.data.saveData == undefined) {
				save();
			} else {
				var fileContents:String = saveFile.data.saveData;
				playerData = JSON.parse(fileContents) as Array;
				levelReached = playerData[0];
			}
		}
		
		public static function save():void {
			playerData = [levelReached];
			var jsonArray:String = JSON.stringify(playerData);
			saveFile.data.saveData = jsonArray;
			saveFile.flush();
		}
	}
}