package Menus
{
	import starling.display.Image;
	import starling.display.Sprite;
	
	public class TitleButton extends Sprite
	{
		public var bg:Image;
		public var num1:Image;
		public var num2:Image;
		
		public function TitleButton()
		{
			bg = new Image(Root.assets.getTexture("numBg"));
			bg.x = -bg.width*0.5;
			bg.y = -bg.height*0.5;
			bg.x = int(bg.x);
			bg.y = int(bg.y);
			addChild(bg);
			
			num1 = new Image(Root.assets.getTexture("num0"));
			num2 = new Image(Root.assets.getTexture("num0"));
			addChild(num1);
			addChild(num2);
			num1.visible = false;
			num2.visible = false;
			
			this.useHandCursor = true;
		}
		
		public function setNum(num:int):void {
			if(num < 10) {
				num1.visible = false;
				num2.visible = true;
				num2.texture = Root.assets.getTexture("num"+num);
				num2.readjustSize();
				num2.x = -num2.width*0.5;
				num2.y = -num2.height*0.5;
			} else {
				num1.visible = true;
				num2.visible = true;
				num1.texture = Root.assets.getTexture("num"+int(num/10));
				num1.readjustSize();
				num2.texture = Root.assets.getTexture("num"+int(num%10));
				num2.readjustSize();
				
				num1.x = -(num1.width+num2.width+2)*0.5;
				num1.y = -num1.height*0.5;
				num2.x = num1.x + num1.width + 2;
				num2.y = num1.y;
			}
			
			num1.x = int(num1.x);
			num1.y = int(num1.y);
			num2.x = int(num2.x);
			num2.y = int(num2.y);
		}
		
		public function setColor(color:uint):void {
			bg.color = color;
			num1.color = color;
			num2.color = color;
		}
	}
}