package
{
	import flash.media.SoundChannel;
	import flash.media.SoundTransform;

	public class GS
	{
		public static var st:SoundTransform;
		public static var mt:SoundTransform;
		public static var timer:Number = 0;
		public static var timers:Array = [0, 0, 0, 0, 0, 0, 0, 0, 0, 0];
		public static var gap:Number = 0.1;
		public static var musicChannel:SoundChannel;
		
		public function GS()
		{
		}
		
		public static function init():void {
			st = new SoundTransform(1);
			mt = new SoundTransform(1);
			if(musicChannel) musicChannel.stop();
			musicChannel = new SoundChannel();
		}
		
		public static function update(dt:Number):void {
			if(timer > 0) {
				timer -= dt;
				if(timer < 0) timer = 0;
			}
			
			var l:int = timers.length;
			for(var i:int = 0; i < l; i++) {
				if(timers[i] > 0) {
					timers[i] -= dt;
					if(timers[i] < 0) timers[i] = 0;
				}
			}
		}
		
		public static function updateTransforms():void {
			st.volume = Globals.soundVolume;
			mt.volume = Globals.musicVolume;
		}
		
		public static function playMusic():void {
			if(musicChannel) musicChannel.stop();
			musicChannel = Root.assets.playSound("bgm", 38, int.MAX_VALUE, mt);
		}
		
		public static function stopMusic():void {
			if(musicChannel) musicChannel.stop();
		}
		
		public static function playSound(name:String):void {
			Root.assets.playSound(name, 0, 0, st);
		}
		
		public static function playHit():void {
			if(timers[0] > 0) return;
			timers[0] = gap;
			
			var index:int = Math.random()*6 + 1;
			playSound("hit0"+index.toString());
		}
		
		public static function playPing01():void {
			if(timers[1] > 0) return;
			timers[1] = gap;
			
			playSound("ping01");
		}
		
		public static function playPing02():void {
			if(timers[2] > 0) return;
			timers[2] = gap;
			
			playSound("ping02");
		}
	}
}